rte_cryptodev_cb(3)

NAME
rte_cryptodev_cb

SYNOPSIS

#include <rte_cryptodev.h>

  Data Fields

struct rte_cryptodev_cb * next
rte_cryptodev_callback_fn fn
void * arg

Detailed Description

Structure used to hold information about the callbacks to be called for a queue pair on enqueue/dequeue.

Definition at line 1058 of file rte_cryptodev.h.

Field Documentation

  struct rte_cryptodev_cb* next
Pointer to next callback

Definition at line 1059 of file rte_cryptodev.h.

  rte_cryptodev_callback_fn fn
Pointer to callback function

Definition at line 1061 of file rte_cryptodev.h.

  void* arg
Pointer to argument

Definition at line 1063 of file rte_cryptodev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.